Last Comment Bug 192644 - (translate-math-start) Arabic/Hebrew (done)/Thai (done)/Chinese (done) translation of mozilla.org/projects/mathml/start.html
(translate-math-start)
: Arabic/Hebrew (done)/Thai (done)/Chinese (done) translation of mozilla.org/pr...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: MathML (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: ---
Assigned To: Frédéric Wang (:fredw)
:
Mentors:
http://www.mozilla.org/projects/mathm...
Depends on: 757125
Blocks: mathml-demos
  Show dependency treegraph
 
Reported: 2003-02-10 19:20 PST by Roland Mainz
Modified: 2012-12-01 05:24 PST (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Thai translation for start.xml (zipped) (6.07 KB, application/x-zip-compressed)
2003-04-05 21:48 PST, Arthit Suriyawongkul
no flags Details
updated: Thai translation for start.xml (zipped) (5.37 KB, application/x-zip-compressed)
2003-04-07 04:05 PDT, Arthit Suriyawongkul
no flags Details
hebrew translation (20.19 KB, text/xml)
2003-09-19 14:59 PDT, Tsahi Asher
no flags Details
hebrew translation v.2 (20.24 KB, text/xml)
2003-09-22 00:32 PDT, Tsahi Asher
no flags Details
Chinses translation of start page. Ver. 1 (18.54 KB, text/plain)
2012-05-08 12:10 PDT, Xuan Hu
no flags Details
Chinese translation of start page. Ver. 2. (6.98 KB, patch)
2012-05-08 13:17 PDT, Xuan Hu
no flags Details | Diff | Splinter Review
Chinese translation of start page. Ver. 3. (11.47 KB, patch)
2012-05-08 22:45 PDT, Xuan Hu
no flags Details | Diff | Splinter Review
Chinese translation of start page. Ver. 4. (9.15 KB, patch)
2012-05-10 03:40 PDT, Xuan Hu
kennyluck: review+
fred.wang: review+
Details | Diff | Splinter Review
Chinese translation of start page. Ver. 5. (9.25 KB, patch)
2012-05-13 01:59 PDT, Xuan Hu
no flags Details | Diff | Splinter Review
Chinese translation of start page. Ver. 6. (8.91 KB, patch)
2012-05-14 05:41 PDT, Xuan Hu
karlt: checkin+
Details | Diff | Splinter Review
start-ar for the arabic translation (24.33 KB, patch)
2012-05-17 09:27 PDT, Rami Khader
linux.anas: review-
Details | Diff | Splinter Review
Patch for Arabic page and adding Arabic link to other pages (7.50 KB, patch)
2012-06-13 10:11 PDT, Rami Khader
no flags Details | Diff | Splinter Review
Final Patch: Arabic Translation (25.88 KB, patch)
2012-06-13 11:04 PDT, Frédéric Wang (:fredw)
fred.wang: review+
karlt: checkin+
Details | Diff | Splinter Review

Description Roland Mainz 2003-02-10 19:20:27 PST
RFE: There should be an arabic/hebrew/thai translation of
http://www.mozilla.org/projects/mathml/start.xml

Main purpose beyond that it would be nice for Arabic/Hebrew/Thai-speaking people
is that we should investigate whether MathML and BiDi/CTL play well together -
or not (... and if there are bugs/issues we should file spin-off bugs to handle
the  problems until it works OK).
Comment 1 Arthit Suriyawongkul 2003-03-20 06:48:40 PST
ok, i will take this for Thai.
Comment 2 Daniel Wang 2003-03-25 20:21:56 PST
shouldn't this be a mozilla.org:webmaster bug?
Comment 3 Arthit Suriyawongkul 2003-04-05 21:48:39 PST
Created attachment 119594 [details]
Thai translation for start.xml (zipped)
Comment 4 rbs 2003-04-06 19:48:34 PDT
Looking good. But a few remaining tweaks are needed:

- use encoding=UTF-8 (I have updated the main one to include the encoding and
other tweaks, see the Document History in order to sync your version:
http://www.mozilla.org/webtools/bonsai/cvslog.cgi?file=mozilla-org/html/projects/mathml/start.xml&rev=&root=/cvsroot/).

- I have added: [Languages: English - Thai] so that people can flip back and
forth between translations. In your version, simply make English active.

- When I mouse-over the links, the status bar showed characters in chinese,
let's hope that the problem will be resolved by specifically setting
encoding="UTF-8".
Comment 5 Roland Mainz 2003-04-06 20:27:04 PDT
rbs@maths.uq.edu.au wrote:
> Looking good. But a few remaining tweaks are needed:
[snip]
> - When I mouse-over the links, the status bar showed characters in chinese,

Mhhhh, chinese (not BiDi or CTL related - but another nice-to-have thingie...
:)) ...
CC:'ing petez ...

> let's hope that the problem will be resolved by specifically setting
> encoding="UTF-8".

I don't see that in my Mozilla1.4a Solaris/SPARC build. Are you sure that...
a) ... you have Thai fonts
b) ... have a CTL-enabled build (e.g. --enable-ctl) ?

Another nit:
- The alternate stylesheets do not seem to work - trying to select "View/Use
Style/Mathematica" - no change... ;-( (yes, the CSS in demo/ is available) ...
Comment 6 rbs 2003-04-06 23:59:22 PDT
Was testing on Win32 where there are no problems/extra-steps with Thai fonts.
Comment 7 Arthit Suriyawongkul 2003-04-07 04:03:40 PDT
how about using Language ID instead of full language name in file name?
("start-th.xml" instead of "start-thai.xml") .. just ask for comment.

also changing from

MathML in Action
[ Languages: English - Thai ]

to

MathML in Action
[ Languages: English - ä·Â ]


so Thai speakers can understand it immediately :)
Comment 8 Arthit Suriyawongkul 2003-04-07 04:05:33 PDT
Created attachment 119660 [details]
updated: Thai translation for start.xml (zipped)
Comment 9 rbs 2003-04-07 16:05:14 PDT
Comment on attachment 119660 [details]
updated: Thai translation for start.xml (zipped)

Checked in the doc tree: 
http://www.mozilla.org/projects/mathml/start-thai.xml

Might take an hour to be clickable. I have keep the full name to save the
guessing.
Comment 10 Roland Mainz 2003-04-14 10:14:34 PDT
Arthit Suriyawongkul:
Thanks for the cool work!

----

Ourstanding works:
- hebrew translation (smontagu@netscape.com?!)
- arabic translation (smontagu@netscape.com?!)
- chinese translation (petez.zha@sun.com?!)
Comment 11 Roland Mainz 2003-04-14 10:16:08 PDT
rbs:
What about making the Thai version of start.xml the "MathML sample of the week"
and anncouce it ? :)
Comment 12 Tsahi Asher 2003-09-15 14:47:43 PDT
i'm starting to work on a hebrew translation. what is "typeset" and "displaystyle"?

i can already see problems in RTL with the determinant and the formula at
"Consider an interesting markup like this".
Comment 13 rbs 2003-09-15 16:50:43 PDT
> "typeset" 

means formatted, represented, marked up...

> "displaystyle"

a technical term specific to math layout. It refers to to those equations that
are presented in "block" mode (to borrow the terminology of CSS). The opposite
is "inline". In inline, the text and math are mixed together on the same line.
In block (displaystyle), the math appears in isolation on its own line. (There
are subtle differences in the rndering rules. The inline is made more cramped to
minimize the disruption of the line.)

I think a translation of "block display" will be okay.

> i can already see problems in RTL

@see bug 208309

The MathML spec has no provision for BiDi/RTL. There are two approaches
currently in use for this: 

1) write the formulas from right to left, with mirrored symbols (as it is done
in Egypt and Syria)

2) write the formulas from left to right (as it is done in Morocco and Algeria),
which makes translation easier from Latin languages but involves the mixing of
directions in the same document. 

In other words:
in Egypt/Syria they do: RTL text + RTL math (with "mirrored" (flipped) symbols)
in Morocco/Algeria they do: RTL text + LTR math

What is the practice in the Hebrew language?

Mozilla does what is done in Morocco/Algeria (the MathML spec is silent on
this...). Hence leave the math intact while you are translating.
Comment 14 Tsahi Asher 2003-09-16 00:27:00 PDT
in hebrew we use RTL for text and LTR for numbers and formulas.

some of the formulas end with a period or comma, that is placed on the right end
of the formula. in hebrew, text ends at the left end, of course, so i deleted
these and put a text (not MathML) period or comma at the end of the formula. is
that ok?

Comment 15 rbs 2003-09-16 17:41:32 PDT
Yes, that's ok.
Comment 16 Tsahi Asher 2003-09-19 14:59:30 PDT
Created attachment 131773 [details]
hebrew translation

here it is.
note two problems:
1. the yellow box won't zoom in/out
2. the letters in the determinant are flipped.
Comment 17 rbs 2003-09-22 00:04:11 PDT
> 1. the yellow box won't zoom in/out
That's strange.

> 2. the letters in the determinant are flipped.
Try specifying this CSS rule (which I should probably put by default mathml.css)
math { 
  direction: ltr
}
Comment 18 Tsahi Asher 2003-09-22 00:32:12 PDT
Created attachment 131877 [details]
hebrew translation v.2

added the proposed css, which fixed the determinant.
also fixed broken links to mozilla-banner.gif, tex.css and mathematica.css (the
last two will work when the page is put in
http://www.mozilla.org/projects/mathml/) and a missed "typeset" i didn't
translate in the last line.
i added a <div dir="ltr"> around the banner and the navigation links at the
top, i don't know if that's legal in xml.
Comment 19 rbs 2003-09-22 19:50:49 PDT
Thanks, checked in: http://www.mozilla.org/projects/mathml/start-hebrew.xhtml
(Fixed the zoom in/out problem, you had missed an attribute.)
Comment 20 Gordon P. Hemsley [:GPHemsley] 2011-04-16 16:57:50 PDT
1) The given URL 404s.
2) The http://www.mozilla.org/projects/mathml/ directory redirects to MDN.
3) Other than changes to blockers, this bug hasn't been changed significantly in over 6 years.

Is this bug still relevant?
Comment 21 Frédéric Wang (:fredw) 2011-04-18 08:57:01 PDT
(In reply to comment #20)
> 1) The given URL 404s.
> 2) The http://www.mozilla.org/projects/mathml/ directory redirects to MDN.
> 3) Other than changes to blockers, this bug hasn't been changed significantly
> in over 6 years.
> 
> Is this bug still relevant?

https://bugzilla.mozilla.org/show_bug.cgi?id=192644

These pages have recently been updated to fix some HTML/CSS errors. The new address is:

http://www.mozilla.org/projects/mathml/start.xhtml

The plan is to move all these pages to MDN when bug 602828 is fixed so that it will be easier to maintain them.

Even if some content of these pages may be outdated, the initial goal of this bug (testing mathematics with BiDi/CTL) is still worthwhile, in my opinion. BTW, MathML3 was released last October and adds new features for arabic mathematics that should help to overcome the limitations mentioned in comment 13.
Comment 22 Xuan Hu 2012-05-08 12:10:52 PDT
Created attachment 622076 [details]
Chinses translation of start page. Ver. 1

hi, everyone.  

I made a Chinese version based on current start page. 
(start.xhtml, not start.xml) 
If there is anything wrong, feel free to tell me.  

Besides. There is an error in current page. 
"a x^2 + b x = c," (the corresponding equation in semantics)
the ending comma should not be included in mathml code.
It should be normal plain text.
Comment 23 Frédéric Wang (:fredw) 2012-05-08 12:38:57 PDT
Thank you for working on this!

A few remarks:

I suspect you used Firefox to do "save as, full web page", so some of the markup has changed (the URLs etc). Can you please download the page in another way, for example with "save as, web page only"? Only modifying the relevant parts of the original page will help to better see the changes for the reviewers. In general changes are submitted via patches. Maybe you can create a diff of the original page with your translation?

https://developer.mozilla.org/En/Developer_Guide/How_to_Submit_a_Patch

+<html lang="en"><head>
+  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
+  <title>MathML 实践</title>

<html lang="en"> should be set to chinese language I think.

(In reply to Xuan Hu from comment #22)
> Besides. There is an error in current page. 
> "a x^2 + b x = c," (the corresponding equation in semantics)
> the ending comma should not be included in mathml code.
> It should be normal plain text.

OK that's fine if you change this.

I suppose the "if" in one of the formula should be translated too, although that's not done in other versions of the start page.

I think we'll have to modify the "Languages" links at the top of each start page to point to the Chinese version.

Karl: do you know if we can still edit the page on mozilla.org or do we have to wait until all is moved to MDN?
Comment 24 Xuan Hu 2012-05-08 13:17:57 PDT
Created attachment 622108 [details] [diff] [review]
Chinese translation of start page. Ver. 2.

Thx for fredw's suggestions and reviewing.

I just submit the diff between start.html and start-zh.html.

I am still a little confused whether this patch is correct. As start-zh.html should be a complete new file, but I also want to stress on the difference between the translation and raw page as most of html and mathml code is same.

Any suggestion or criticism is welcome.
Comment 25 Karl Tomlinson (:karlt) 2012-05-08 20:59:43 PDT
(In reply to Frédéric Wang from comment #23)
> Karl: do you know if we can still edit the page on mozilla.org or do we have
> to wait until all is moved to MDN?

I'm guessing mozilla.org still picks up svn changes, but I don't know for certain.

(In reply to Xuan Hu from comment #24)
> I just submit the diff between start.html and start-zh.html.
> 
> I am still a little confused whether this patch is correct. As start-zh.html
> should be a complete new file, but I also want to stress on the difference
> between the translation and raw page as most of html and mathml code is same.

Yes, best to accentuate the differences between the existing version and the new version.  Try using "svn copy start.html start-zh.html", copy your new file on top, and see whether svn diff shows differences.

> Any suggestion or criticism is welcome.

> <span style="font-size: small;">[ Languages: English - 
>+<a href="start-zh.html">Chinese</a> - 
> <a href="start-hebrew.html">Hebrew</a> - 
> <a href="start-thai.html">Thai</a> ]</span></h2>

This is meant to be a list of links between other translations, so start-zh.html should link to start.html and all start*.html files except start-zh.html should include a link to start-zh.html.

If Frédéric can review the rest of the patch, then I can commit to svn.
Comment 26 Xuan Hu 2012-05-08 22:45:37 PDT
Created attachment 622290 [details] [diff] [review]
Chinese translation of start page. Ver. 3.

Update for Chinese Translation. Thx for code review of karl and fredw.

Summary of changes:
- translate main content into Chinese
- revise the Language navigator to be consistent
- punctuation error in mathml content. 
  (The ending punctuation should not be included in the mathml scope)
Comment 27 Frédéric Wang (:fredw) 2012-05-09 01:47:39 PDT
Just a note on moving the punctuation mark outside the <math> element: if it's a inline expression that can lead to bug 209693, if it's a display expression the punctuation mark will be displayed on a new line (which is probably not what we want). If it's semantically wrong to put it in an <mo>, maybe a <mtext> is more appropriate.
Comment 28 Xuan Hu 2012-05-09 21:18:06 PDT
hi, fredw

Sorry for ignore the bug related to punctuation mark.
Do I need to rollback the modification about punctuation or any other suggestions for current start page?
Comment 29 Frédéric Wang (:fredw) 2012-05-10 02:20:45 PDT
(In reply to Xuan Hu from comment #28)
> hi, fredw
> 
> Sorry for ignore the bug related to punctuation mark.
> Do I need to rollback the modification about punctuation or any other
> suggestions for current start page?

Yes, I think it's better to rollback the modification to avoid possible bugs. If it is a problem for the Chinese version, maybe you can put the punctuation in a <mtext> instead.
Comment 30 Xuan Hu 2012-05-10 03:40:48 PDT
Created attachment 622675 [details] [diff] [review]
Chinese translation of start page. Ver. 4.

Revised the diff according to fredw's suggestion.

Remove most of modification related to punctuation,
only one is reserved in start-zh.html due to word order changed by translation.
Comment 31 Frédéric Wang (:fredw) 2012-05-11 02:04:02 PDT
Comment on attachment 622675 [details] [diff] [review]
Chinese translation of start page. Ver. 4.

OK, that seems good to me, thanks. I let Kenny Luck verify the Chinese translation.
Comment 32 Kang-Hao (Kenny) Lu [:kennyluck] 2012-05-12 02:50:14 PDT
Comment on attachment 622675 [details] [diff] [review]
Chinese translation of start page. Ver. 4.

Review of attachment 622675 [details] [diff] [review]:
-----------------------------------------------------------------

Thank you for taking up this (and sorry for my long delay)! In general the translation looks good, but I am still giving you a bunch of inline comments below. They use the s/change-from/change-to/ notation. Some of them that are marked as (nit) are minor as compared to that ones that are not marked. But still, feel free to reject any comment as I am not an authoritative reviewer in any way and also that I am a native speaker of Traditional Chinese and I am often criticized by my friends in QQ channels for not using the right words. 

Karl, could you please commit this to svn as long as Xuan sends the next patch? (Or if he doesn't update the patch within a week.)

(In reply to Frédéric Wang from comment #31)
> Comment on attachment 622675 [details] [diff] [review]
> Chinese translation of start page. Ver. 4.
> 
> OK, that seems good to me, thanks. I let Kenny Luck verify the Chinese
> translation.

Thank you for pinging me!

::: start-zh.html
@@ +64,3 @@
>  </div>
>  
>  <h2 style="text-align: center;">MathML in Action<br/>

You changed the <title> text but not the <h2>. Is this intentional?

(nit) I would s/实践/演示/

@@ +70,2 @@
>  <a href="start-hebrew.html">Hebrew</a> - 
>  <a href="start-thai.html">Thai</a> ]</span></h2>

(nit) I think normally zh goes to the end (because of 'z').

@@ +70,5 @@
>  <a href="start-hebrew.html">Hebrew</a> - 
>  <a href="start-thai.html">Thai</a> ]</span></h2>
>  
>  <p>
> +你看到页面中美妙的数学公式吗?没有?那太糟了。这里是一个你错过的<a href="https://developer.mozilla.org/@api/deki/files/5690/=start.png">截屏</a>。<a href="http://www.mozilla.org/projects/mathml/">下载</a>一个 Mozilla 创建的支持 MathML 的版本来修复这个坏情况。

(nit) s/看到/能看到/
(nit) s/这里是一个你错过的<a>截屏</a>/这是你该看到的<a>样子</a>/

s/<a>下载</a>一个 Mozilla 创建的支持 MathML 的版本来修复这个坏情况/要修复这个情形,请下载一个支持 MathML 的 Mozilla 版本。/ (Here "build" means a software build so "版本" is enough. "创建" is likely redundant.)

@@ +75,5 @@
>  </p>
>  
>  <p>
> +你已经拥有一个支持MathML的版本但是你看到的和截屏不同?那可能是因为你缺少一些重要的
> +<a href="http://www.mozilla.org/projects/mathml/fonts/">MathML 字体</a>.

(nit) spaces around MathML (This is in general a debatable subject, but since you already do this in parts of the page, I would suggest you make a choose and make it consistent. Ditto for the rest of the page.)
(nit) s/一些重要的/需要的/

@@ +80,4 @@
>  </p>
>  
>  <p>
> +现在你已经装备精良了,你应该可以看到这个带有变化口音的行内方程式:

Unless I am still very far from Chinese as used in mainland China, this should be s/变化口音/各种附加符号/ 。[1]

[1] http://zh.wikipedia.org/wiki/%E9%99%84%E5%8A%A0%E7%AC%A6%E5%8F%B7

@@ +125,4 @@
>  </mrow>
>  </math>
>  
> +它也可以排版成独立行公式风格,如

I noticed that you changed the wording here. But I think that's probably not a bad thing.

Here is my question for Frédéric. What does "displaytable" here refer to? From googling, It seems like a command in LaTex.

@@ +163,5 @@
>  <p>
> +数学排版很复杂。
> +<a href="http://www.mozilla.org/projects/mathml/">MathML in Mozilla</a>
> +旨在遵从
> +<a href="http://www.w3.org/Math/">MathML 规范</a>以便<i>所见即所标记</i>,换句话说<i>所见即所创造</i>, 或者缩写成 "WYSIWYM"。这两者之间的不同在于标记!

(nit) s/很复杂/要求很多/

s/<a>MathML in Mozilla</a> 旨在遵从 <a>MathML 规范</a>以便/
  <a>MathML in Mozilla 项目</a>旨在遵从 <a>MathML 规范</a>以达到/

Admittedly, I don't know what this sentence is talking about. *shrug*

(nit) Italics is ugly in Chinese. I would do “所见即所标记” instead.

@@ +386,4 @@
>  </mrow>
>  </math>
>  
> +的根,点击黄色区域的任意位置进行放大或者缩小:

(nit) s/点击/你可以点击/

@@ +476,4 @@
>                  </mtd>
>                  <mtd>
>                    <mrow>
> +                    <mtext>如果&nbsp;</mtext>

(nit) s/如果/若/ and the one below. :p

@@ +828,4 @@
>  </p>
>  
>  <p>
> +更多样例,可以参考<a href="http://www.mozilla.org/projects/mathml/">MathML 项目</a>页面的链接,如果你正在<a href="http://www.mozilla.org/projects/mathml/build.html">创建</a>你自己的 Mozilla 的二进制版本,请参考目录 <i>mozilla/layout/mathml/tests</i>。

I would say

请参考 <a>MathML 项目</a>页面的链接以阅览更多样例。

@@ +832,4 @@
>  </p>
>  
>  <p>
> +现在,下一步是什么呢?在你在 Mozilla 中尝试 MathL,面对那些没有按照 MathML 规范工作的极少部分该做些什么呢?或者那些看上去有些碍眼的部分,你是否希望能够做得更好一点吗?或者那些以前工作的东西现在不工作了(即退步)?在这两种情况下,欢迎前往<a href="http://www.mozilla.org/quality/bug-writing-guidelines.html">Bugzilla</a>报告错误。 Bugzilla 是一个记录这些东西的大仓库,此外,如果那些错误没有被报告,你的问题怎么会解决?!

s/MathL/MathML/

I would say

当在你在 Mozilla 中尝试 MathML,面对那些没有按照 MathML 规范实现的少数情形,有没有想做什么呢?

或者那些以前没问题的东西现在出问题了? ("regression" is a technical term that's used quite often in the computing word. I don't know a Chinese equivalent so let's just skip it for now.)

s/两种/些/ or s/两种/三种/ :)

(I love the last sentence.)

@@ +836,4 @@
>  </p>
>  
>  <p>
> +<a href="http://www.mozilla.org/get-involved.html">参与</a>是你贡献的一部分,它将完善<a href="http://www.mozilla.org/newlayout/">Gecko</a> 使之成为一个优雅的符合标准的 MathML 渲染工具。你的反馈将由<a href="http://www.mozilla.org/projects/mathml/authoring.html">在互联网上展现 Mathml 内容</a>体现,报告的错误在<a href="http://www.mozilla.org/quality/bug-writing-guidelines.html">Bugzilla</a>里,并且,如果你可以在代码方面有所帮助,<a href="http://lxr.mozilla.org/seamonkey/source/layout/mathml/">检查或改进当前的代码</a>, 或者在<a href="http://www.mozilla.org/projects/mathml/update.html">待办事项</a>列表中选择一个条目。

s/Mathml/MathML/
s/一部分/第一步/

I would say

s/它将完善<a>Gecko</a> 使之成为一个优雅的符合标准的 MathML 渲染工具/
  一起来让 <a>Gecko</a> 成为一个优雅、符合标准的 MathML 渲染工具/

and

你可以透过以下方法反馈:在互联网上<a>书写 MathML 內容</a>,在 <a>Bugzilla</a> 里报告的错误,在<a>待办事项</a>列表中选择一个条目,甚至<a>检查或改进当前的代码</a>(如果你会写代码)。
Comment 33 Kang-Hao (Kenny) Lu [:kennyluck] 2012-05-12 05:24:17 PDT
By the way, in case you don't know, you can click "[review]" in "attachment 622675 [details] [diff] [review] [diff] [review]" and navigate to start-zh.html to get a better view.

(In reply to Kang-Hao (Kenny) Lu [:kennyluck] from comment #32)
> @@ +125,4 @@
> >  </mrow>
> >  </math>
> >  
> > +它也可以排版成独立行公式风格,如
> 
> I noticed that you changed the wording here. But I think that's probably not
> a bad thing.
> 
> Here is my question for Frédéric. What does "displaytable" here refer to?
> From googling, It seems like a command in LaTex.

s/displaytable/displaystyle/

Pardon my ignorance about mathematical typesetting, it seems that this is a jargon originating from LaTex. Which is the correct way to refer to it, "displaystyle" or "display style"?

Anyway, the translation is pretty good in that it resolves this confusing part.

[1] https://developer.mozilla.org/en/MathML/Element/mstyle#attr-displaystyle
 
> s/<a>MathML in Mozilla</a> 旨在遵从 <a>MathML 规范</a>以便/
>   <a>MathML in Mozilla 项目</a>旨在遵从 <a>MathML 规范</a>以达到/

I meant to say

s/遵从/实现/ here.
Comment 34 Frédéric Wang (:fredw) 2012-05-12 09:00:01 PDT
(In reply to Kang-Hao (Kenny) Lu [:kennyluck] from comment #33)
> > Here is my question for Frédéric. What does "displaytable" here refer to?
> > From googling, It seems like a command in LaTex.
> 
> s/displaytable/displaystyle/
> 
> Pardon my ignorance about mathematical typesetting, it seems that this is a
> jargon originating from LaTex. Which is the correct way to refer to it,
> "displaystyle" or "display style"?
> 
> Anyway, the translation is pretty good in that it resolves this confusing
> part.
> 
> [1] https://developer.mozilla.org/en/MathML/Element/mstyle#attr-displaystyle
>  

Yes display style is just a specific way to draw the formula without trying to limit its vertical height (some symbols like sums and integral are large, indices are placed above and below such symbols instead as sup/subscripts, etc). I think both forms "displaystyle" and "display style" are correct. We also sometimes use "display mode".

(In reply to Kang-Hao (Kenny) Lu [:kennyluck] from comment #32)
> @@ +163,5 @@
> >  <p>
> > +数学排版很复杂。
> > +<a href="http://www.mozilla.org/projects/mathml/">MathML in Mozilla</a>
> > +旨在遵从
> > +<a href="http://www.w3.org/Math/">MathML 规范</a>以便<i>所见即所标记</i>,换句话说<i>所见即所创造</i>, 或者缩写成 "WYSIWYM"。这两者之间的不同在于标记!
> 
> (nit) s/很复杂/要求很多/
> 
> s/<a>MathML in Mozilla</a> 旨在遵从 <a>MathML 规范</a>以便/
>   <a>MathML in Mozilla 项目</a>旨在遵从 <a>MathML 规范</a>以达到/
> 
> Admittedly, I don't know what this sentence is talking about. *shrug*
> 
> (nit) Italics is ugly in Chinese. I would do “所见即所标记” instead.
> 

I'm not sure what the author means with this WYSIWYG discussion. I think the paragraph is about expressiveness of MathML. Here the example shows that we can force parentheses to have a minimum size and to stretch in symmetric way.

(Note: these pages will move to MDN when bug 665732 is fixed, so I think we don't have to worry too much for now, people will probably improve the wording later)
Comment 35 Xuan Hu 2012-05-13 01:59:27 PDT
Created attachment 623484 [details] [diff] [review]
Chinese translation of start page. Ver. 5.

hi, kennyluck

Thx for you detailed suggestion, they are really helpful. I follow most of your advice except for minor change. An important one is about the 'accent equation', after discussing with some friends, I think '变音符号' will be more suitable as ‘附加符号’ is too general.

If there needs some more revise, feel free to tell me.
Comment 36 Xuan Hu 2012-05-14 05:41:03 PDT
Created attachment 623641 [details] [diff] [review]
Chinese translation of start page. Ver. 6.

Revised according to one of my friends' opinion.
This version should be ok for commit.
Just one little thing want karl to check is about the hyperlink.
If there is anything wrong, feel free to tell me.
Comment 37 Karl Tomlinson (:karlt) 2012-05-16 01:32:42 PDT
Comment on attachment 623641 [details] [diff] [review]
Chinese translation of start page. Ver. 6.

r105226
Comment 38 Frédéric Wang (:fredw) 2012-05-16 01:53:14 PDT
Thank you everybody. I updated the MathML project page:
https://developer.mozilla.org/en/Mozilla_MathML_Project#section_7
Comment 39 Rami Khader 2012-05-17 09:27:21 PDT
Created attachment 624774 [details] [diff] [review]
start-ar for the arabic translation

The Arabic translation for the start page for MathML
Comment 40 Frédéric Wang (:fredw) 2012-05-17 09:51:21 PDT
(In reply to Rami Khader from comment #39)
> Created attachment 624774 [details] [diff] [review]
> start-ar for the arabic translation
> 
> The Arabic translation for the start page for MathML

Thank you very much, Rami. Can you explain why you added

+math { 
+  direction: ltr;
+  unicode-bidi: embed;
+}

Note that attaching dir="rtl" on a <math> element gives the style "direction: rtl;".

It seems that some operators are not mirrored, like slash, floor and ceiling brackets. Can you confirm it and tell me if you see more? I think it's a bug in the MathML rendering code that could easily be fixed.

Also, can you please modify the other start pages (English, Thai, Hebrew and Chinese) to add a link pointing to the new start-ar.html?
Comment 41 Anas Husseini [:linostar] 2012-05-27 00:31:34 PDT
Comment on attachment 624774 [details] [diff] [review]
start-ar for the arabic translation

+<![CDATA[
+math { 
+  direction: ltr;
+  unicode-bidi: embed;
+}

I believe this should be "direction: rtl;". Unlike hebrew, Arabic letters are used for varaibales in mathematical equation, and the direction is therefore from right to left.
Comment 42 Frédéric Wang (:fredw) 2012-05-27 01:41:38 PDT
(In reply to Anas Husseini [:linostar] from comment #41)
> Comment on attachment 624774 [details] [diff] [review]
> start-ar for the arabic translation
> 
> +<![CDATA[
> +math { 
> +  direction: ltr;
> +  unicode-bidi: embed;
> +}
> 
> I believe this should be "direction: rtl;". Unlike hebrew, Arabic letters
> are used for varaibales in mathematical equation, and the direction is
> therefore from right to left.

Anas: can you also please tell us if the Arabic translation is fine?

As I said in comment 4, <math dir="rtl"> is already styled with "direction: rtl;", so we don't need to set it again. As for unicode-bidi, IIUC it is only needed with mixed ltr/rtl content:

https://developer.mozilla.org/en/CSS/unicode-bidi

but here both text and equations are RTL, so I don't think it is needed either.

However, that makes me think of the question (bug 208309 comment 59) about how inline RTL math should behave in LTR math like in Persian or Moroccan style. Should we styled <math dir="rtl"> with "unicode-bidi: embed;" by default? Or use another unicode-bidi value?
Comment 43 Anas Husseini [:linostar] 2012-05-27 02:19:51 PDT
Frédéric:

The translation is good.

For the case you described, I think <math dir="rtl"> with "unicode-bidi: embed;" would suffice.
Comment 44 Frédéric Wang (:fredw) 2012-05-28 01:17:15 PDT
(In reply to Frédéric Wang (:fredw) from comment #40)
> It seems that some operators are not mirrored, like slash, floor and ceiling
> brackets. Can you confirm it and tell me if you see more? I think it's a bug
> in the MathML rendering code that could easily be fixed.
> 

Bug 757125 should allow to mirror more operators in RTL mode, including fences like floor/ceiling brackets. As for the four <mo> with slashes, if as I suspect they have to be mirrored too, then the appropriate character to use seems to be

Unicode Character 'DIVISION SLASH' (U+2215)
Comment 45 Rami Khader 2012-06-13 10:11:20 PDT
Created attachment 632755 [details] [diff] [review]
Patch for Arabic page and adding Arabic link to other pages

Fixing the start page for Arabic and added the Arabic link to other pages
Comment 46 Frédéric Wang (:fredw) 2012-06-13 10:37:23 PDT
(In reply to Rami Khader from comment #45)
> Created attachment 632755 [details] [diff] [review]
> Patch for Arabic page and adding Arabic link to other pages
> 
> Fixing the start page for Arabic and added the Arabic link to other pages

Thanks. I'll put these changes in a single patch.
Comment 47 Frédéric Wang (:fredw) 2012-06-13 11:04:34 PDT
Created attachment 632771 [details] [diff] [review]
Final Patch: Arabic Translation

Karl: can you please commit this patch?
Comment 48 Karl Tomlinson (:karlt) 2012-06-13 14:23:42 PDT
Comment on attachment 632771 [details] [diff] [review]
Final Patch: Arabic Translation

r106336

Note You need to log in before you can comment on or make changes to this bug.